libenv-sanctify-perl_1.12-1_all.deb


Advertisement

Description

libenv-sanctify-perl - Perl module providing lexically scoped environment (%ENV)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libenv-sanctify-perl
Package version 1.12
Package release 1
Package architecture all
Package type deb
Installed size 54 B
Download size 7.96 KB
Official Mirror ftp.br.debian.org
Env::Sanctify is a module that provides lexically scoped manipulation and
sanctification of %ENV. With this module, one can add or alter environment
variables, later restoring the environment back either manually or
automatically once the object falls out of scope.
This is useful for manipulating the environment that forked processes and
sub-processes will inherit.

Alternatives

Package Version Architecture Repository
libenv-sanctify-perl_1.12-1_all.deb 1.12 all Debian Main
libenv-sanctify-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libenv-sanctify-perl_1.12-1_all.deb
Source Package libenv-sanctify-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libenv-sanctify-perl deb package:
    # sudo apt-get install libenv-sanctify-perl

Files

Path
/usr/share/doc/libenv-sanctify-perl/changelog.Debian.gz
/usr/share/doc/libenv-sanctify-perl/changelog.gz
/usr/share/doc/libenv-sanctify-perl/copyright
/usr/share/doc/libenv-sanctify-perl/examples/system.pl
/usr/share/man/man3/Env::Sanctify.3pm.gz
/usr/share/perl5/Env/Sanctify.pm

Changelog

2014-02-17 - gregor herrmann <gregoa@debian.org>
libenv-sanctify-perl (1.12-1) unstable; urgency=medium
* New upstream release.
* Update years of copyright.
* Declare compliance with Debian Policy 3.9.5.
2013-09-30 - gregor herrmann <gregoa@debian.org>
libenv-sanctify-perl (1.10-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* New upstream release.
* Update years of upstream and packaging copyright.
* Declare compliance with Debian Policy 3.9.4.
2012-03-18 - gregor herrmann <gregoa@debian.org>
libenv-sanctify-perl (1.06-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release 1.04
* Upgraded bundled Module::Install version
* Used some new M::I features. Does not affect functionality or close bugs.
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ gregor herrmann ]
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza).
[ Salvatore Bonaccorso ]
* debian/control: Changed: Replace versioned (build-)dependency on
perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
permitted by Debian Policy 3.8.3).
[ Ryan Niebur ]
* Email change: Jonathan Yu -> jawnsy@cpan.org
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* New upstream release 1.06.
* Switch to "3.0 (quilt)" source format.
* Use debhelper 8 and tiny debian/rules.
* Update debian/copyright: use Copyright-Format 1.0, update copyright
years, remove infomration about removed files.
* Remove now unneeded build dependencies.
* Add /me to Uploaders.
* Bump Standards-Version to 3.9.3 (no changes).
2009-04-30 - Jonathan Yu <frequency@cpan.org>
libenv-sanctify-perl (1.02-1) unstable; urgency=low
* Initial Release. (Closes: #526383)

See Also

Package Description
libeot-dev_0.01-3_amd64.deb Library for parsing/converting Embedded OpenType files -- development
libeot0_0.01-3_amd64.deb Library for parsing/converting Embedded OpenType files
libepc-1.0-3_0.4.4-3_amd64.deb Easy Publish and Consume library - shared libraries
libepc-common_0.4.4-3_all.deb Easy Publish and Consume library - data files
libepc-dev_0.4.4-3_amd64.deb Easy Publish and Consume library - development files
libepc-doc_0.4.4-3_all.deb Easy Publish and Consume library - documentation
libepc-ui-1.0-3_0.4.4-3_amd64.deb Easy Publish and Consume library - shared widget libraries
libepc-ui-dev_0.4.4-3_amd64.deb Easy Publish and Consume library - widget development files
libepoxy-dev_1.2-1_amd64.deb OpenGL function pointer management library- development
libepoxy0_1.2-1_amd64.deb OpenGL function pointer management library
libepr-api2-dev_2.2-2_all.deb ENVISAT Product Reader API for C - Development files
libepr-api2_2.2-2_amd64.deb ENVISAT Product Reader API for C
libepsilon-dev_0.9.2-2_amd64.deb Library for wavelet image compression - development files
libepsilon1_0.9.2-2_amd64.deb Library for wavelet image compression
libept-dev_1.0.12.1_amd64.deb High-level library for managing Debian package information
Advertisement
Advertisement